<?php
require_once('conexion_servicios.php');

date_default_timezone_set("America/Bogota");

session_start();

				$cedula_usuario=$_POST['cedula'];
				$telefono_usuario=$_POST['telefono_usuario'];
				$dias_cotizados=$_POST['dias_cotizados'];
				$nombre_usuario=$_POST['nombre'];
				$tipo_servicio=$_POST['tipo'];
				$es_prioritario=$_POST['prioritario'];
				$esta_activo_ccf=$_POST['activo_ccf'];				

				if(isset($_POST['observaciones'])){
					$observaciones=$_POST['observaciones'];
				}
				else{
					$observaciones="";
				}

			$conexion1 = new mysqli($host, $usuario, $password, $base_datos);		
			$conexion2 = new mysqli($host, $usuario, $password, $base_datos);	
			$conexion3 = new mysqli($host, $usuario, $password, $base_datos);		
			$conexion4 = new mysqli($host, $usuario, $password, $base_datos);			
					
		if ( isset($_SESSION['usuario']))
        {
  		
			$query_buscar_usuario = $conexion1->query("SELECT * FROM tblusuarios where tblusuarios.Cedula="."'".$cedula_usuario."'");
			$array_buscar_usuario = $query_buscar_usuario->fetch_assoc();	
		
				if(mysqli_num_rows($query_buscar_usuario)==0)
				{
									
											
					$insertar_usuario= "INSERT INTO tblusuarios (Cedula, NombreApellido) VALUES ("."'".$cedula_usuario."' ,"."'".$nombre_usuario."')";
					mysqli_query($conexion2, $insertar_usuario);											
					$insertar_usuario_fila= "INSERT INTO tblfila (CedulaUsuario, TelefonoUsuario, DiasCotizados, CedulaFunRegistro, CedulaFunAtencion, CodigoRol, FechaHoraIngreso, FechaHoraInicioSer, FechaHoraSalida, EstadoServicio, EsPrioritario, Observaciones, ActivoCCF) VALUES ('".$cedula_usuario."', '".$telefono_usuario."', '".$dias_cotizados."', '".$_SESSION['cedula']."', '0', '".$tipo_servicio."', '".date("Y-m-d H:i:s")."', NULL, NULL, b'1', b'".$es_prioritario."', '".$observaciones."', b'".$esta_activo_ccf."')";											
					mysqli_query($conexion3, $insertar_usuario_fila);		
					header("Location: fila_general.php"); 									
											
											
				}	
				else
				{
					$query_buscar_fila = $conexion4->query("SELECT * FROM tblfila where tblfila.CedulaUsuario="."'".$cedula_usuario."' and tblfila.EstadoServicio=1");
					$array_buscar_fila = $query_buscar_fila->fetch_assoc();							
										
					if(mysqli_num_rows($query_buscar_fila)!=0)
					{																							
						echo '<script language = javascript>
						alert("El usuario ya esta en fila o en servicio")
						self.location = "fila_general.php"											
						</script>';													
					}
					else
					{										
													
						$insertar_usuario_fila= "INSERT INTO tblfila (CedulaUsuario, TelefonoUsuario, DiasCotizados, CedulaFunRegistro, CedulaFunAtencion, CodigoRol, FechaHoraIngreso, FechaHoraInicioSer, FechaHoraSalida, EstadoServicio, EsPrioritario, Observaciones, ActivoCCF) VALUES ('".$cedula_usuario."', '".$telefono_usuario."', '".$dias_cotizados."', '".$_SESSION['cedula']."', '0', '".$tipo_servicio."', '".date("Y-m-d H:i:s")."', NULL, NULL, b'1', b'".$es_prioritario."', '".$observaciones."', b'".$esta_activo_ccf."')";											
						mysqli_query($conexion3, $insertar_usuario_fila);													
						$actualizar_nombre_usuario= "UPDATE tblusuarios SET NombreApellido ="."'".$nombre_usuario."'"." WHERE tblusuarios.Cedula ="."'".$cedula_usuario."'";													
						mysqli_query($conexion3, $actualizar_nombre_usuario);										
						header("Location: fila_general.php");												
					}
									
				}
		
		
		}



		else
		{		
		
			echo '<script language = javascript>
			alert("¡¡¡¡Ud aún no ha iniciado sesión!!!!")
			self.location = "login.php"
			</script>';		
			
		}	
			
			mysqli_close($conexion1);
			mysqli_close($conexion2);
			mysqli_close($conexion3);
			mysqli_close($conexion4);			
			

?>

